Package org.h2.test.db

# Class Db.Prepared

java.lang.Object
org.h2.test.db.Db.Prepared

Enclosing class:
  `Db`

public static class Db.Prepared extends Object
This class represents a prepared statement.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Execute the prepared statement.
`List<Map<String,Object>>`
`query()`
Execute the prepared query.
`Db.Prepared`
`set(byte[] x)`
Set the value of the current parameter.
`Db.Prepared`
`set(int x)`
Set the value of the current parameter.
`Db.Prepared`
`set(InputStream x)`
Set the value of the current parameter.
`Db.Prepared`
`set(String x)`
Set the value of the current parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### set

public Db.Prepared set(int x)
Set the value of the current parameter.

Parameters:
  `x` - the value
Returns:
  itself

### set

public Db.Prepared set(String x)
Set the value of the current parameter.

Parameters:
  `x` - the value
Returns:
  itself

### set

public Db.Prepared set(byte[] x)
Set the value of the current parameter.

Parameters:
  `x` - the value
Returns:
  itself

### set

public Db.Prepared set(InputStream x)
Set the value of the current parameter.

Parameters:
  `x` - the value
Returns:
  itself

### execute

public void execute()
Execute the prepared statement.

### query

public List<Map<String,Object>> query()
Execute the prepared query.

Returns:
  the result list